Package org.eclipse.jdt.ui.actions

# Class FindReadReferencesInProjectAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.jdt.ui.actions.SelectionDispatchAction
org.eclipse.jdt.ui.actions.FindAction
org.eclipse.jdt.ui.actions.FindReferencesAction
org.eclipse.jdt.ui.actions.FindReadReferencesAction
org.eclipse.jdt.ui.actions.FindReadReferencesInProjectAction

All Implemented Interfaces:
  `IAction`, `ISelectionChangedListener`

public class FindReadReferencesInProjectAction extends FindReadReferencesAction
Finds field read accesses of the selected element in the enclosing project. The action is applicable to selections representing a Java field.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`FindReadReferencesInProjectAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)`
Note: This constructor is for internal use only.
`FindReadReferencesInProjectAction(IWorkbenchSite site)`
Creates a new `FindReadReferencesInProjectAction`.

## Method Summary

### Methods inherited from class org.eclipse.jdt.ui.actions.FindReferencesAction

`run`

### Methods inherited from class org.eclipse.jdt.ui.actions.FindAction

`run, run, run, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, setSpecialSelectionProvider, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FindReadReferencesInProjectAction

public FindReadReferencesInProjectAction(IWorkbenchSite site)
Creates a new `FindReadReferencesInProjectAction`. The action requires that the selection provided by the site's selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

### FindReadReferencesInProjectAction

public FindReadReferencesInProjectAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the Java editor
Restriction:
  This constructor is not intended to be referenced by clients.